<!DOCTYPE html>
<html>

	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML - Forms, Tables and Sematic HTML</title>
	</head>

	<body>
		<!-- header tag is a semantic tag to inform the developer and client that this component is for the header of the webpage. -->
		<header>
			<h2 align="center">HTML Entities</h2>
		</header>

		<main>
			<!-- This section is for the HTML Table. -->
			<section>

				<p><em>Reserved characters in HTML (e.g. &lt; or &gt;) that can be mixed up with HTML code.</em></p>

				<!-- border attribute defines the thickness of the border -->
				<table border="2">
					<!-- thead tag is for the header of the table. -->
					<thead>
						<!-- tr -tag defines a table row -->
						<!-- First Row on our header -->
						<tr>
							<!-- th - tag defines a table header element. -->
							<!-- calspan attribute changes the amount of columns a table element occupies -->
							<th colspan="2">Entity</th>
							<!-- rowspan attribute changes the amount of rows a table element occupies -->
							<th rowspan="2">Description</th>
						</tr>

						<!-- Second row of our header -->
						<tr>
							<th>Symbol</th>
							<th>Name/Number</th>
						</tr>

					</thead>

					<!-- tbody tag is for the body of the table. -->
					<tbody>
						<!-- This is the first row -->
						<tr>
							<!-- td used for the body of our table -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>

						<!-- This is the second row -->
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<tr>
							<td>&amp;</td>
							<td>&</td>
							<td>ampersand</td>
						</tr>

						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>

						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotationmark (apostrophe)</td>
						</tr>

						<tr>
							<td>&ntilde;</td>
							<td>ntidle</td>
							<td>Lower Tilde</td>
						</tr>

						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>Uppder Tilde</td>
						</tr>

					</tbody>

					<!-- tfoot tag is for the footer of the table. -->
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>
					</tfoot>

				</table>

			</section>
			<!-- This is the end of Table section -->

			<!-- This is for the HTML Form -->
			<section>
				<h2 align="center">HTML Form</h2>

				<p><em>Inpute Elements that make up a form</em></p>

				<form>
					<!-- Text inputs -->
					<!-- Label tag - creates a text element that serves as the label for the input field -->
					<!-- type attribute wi;; define what type of information the field should be -->
					<!-- for attribute is used with the id attribute in an iumput element. This allows users to click the label to type their response-->
					<!-- name attribute - it tells the database/api where the value collected from the user will be added depending on the method -->
					<!-- value attribute - it is the information that will be passed on the database -->
					<labe for = "fullName"> Full Name:</label><br/>
						<input type="text" name="fullname" id = "fullName" required autocomplete /> <br/>

					<label for="birthdate">Birthday</label>
						<input type="date" name="birthdate"/ id="birthdate" required autocomplete/><br/>

					<label>Age:</label><br/>
						<input type="number" name="age" id="age" required autocomplete/></label><br>

					<!-- Dropdown -->
					<label for="gender">Gender:</label><br/>
						<select name="gender" id="gender">
							<option value="male">Male</option>	
							<option value="female">Female</option>
						</select><br/>

					<!-- textarea -->
					<label for="suggestion">Suggestion:</label><br/>
						<textarea name="suggestion" rows="5" cols="5" id="suggestion" required autocomplete></textarea><br/>

					<!-- Radio Button -->
					<label>Civil Status:</label> <br/>

						<input type="radio" name="civilStatus" value="singel" id="single" />
						<label for="single">Single</label> <br/>

						<input type="radio" name="civilStatus" value="married" id="married" />
						<label for="married">Married</label> <br/>

					<!-- Checkbox -->
					<label>Job:</label><br/>

						<input type="checkbox" name="job1" value="developer" id="developer">
					<label for="developer">Developer</label> <br/>
						<input type="checkbox" name="job2" value="student" id="student">
					<label for="student">Student</label> <br/>
						<input type="checkbox" name="job3" value="manager" id="manager">
					<label for="manager">Student</label> <br/>

					<button>Submit</button><br/>
					<!-- reset value in type attribute will reset input of the user in the input fields. -->
					<button type="reset">Reset</button>
				</form>

			</section>
		</main>

	</body>

</html>